Issue 122042 - In Line dialog in the LineStyle tab the line style selection selects the wrong style
In Line dialog in the LineStyle tab the line style selection selects the wron...
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-12 09:22 UTC by Armin Le Grand
Modified: 2013-07-12 16:37 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2013-04-12 09:22:41 UTC
ALG: Looks like an off set of two, because none and continuos should probably not be part of the selection in this tab page.
Comment 1 Armin Le Grand 2013-04-12 09:23:02 UTC
ALG: Grepping, one for me...
Comment 2 DanielAlvaro 2013-04-13 17:59:18 UTC
Hello Armin,

Could you attach an image  with your problem and describe your steps please? 

I'd like if you can more explain what happens when you do that.
Let me chek the problem and if I need more information I'll ask you

Daniel Alvaro
Comment 3 Regina Henschel 2013-04-13 18:25:13 UTC
Hi Daniel, you need an actual build, for example a daily from the build bots. It is in format > Line... > tab "Line Style".

If you choose the last style from the list, it crashes.
Comment 4 DanielAlvaro 2013-04-13 19:23:32 UTC
(In reply to comment #3)
> Hi Daniel, you need an actual build, for example a daily from the build
> bots. It is in format > Line... > tab "Line Style".
> 
> If you choose the last style from the list, it crashes.


Hello, 
Tank you Regina, I found it and I have a similar problem.

Regards.
Comment 5 Armin Le Grand 2013-04-17 10:29:30 UTC
ALG: The default ListBox incarnation for LineDash/LineStyle is LineLB which I has adapted to add the standard fields 'None' and 'SolidLine' by default. For that LineStyle TabPage this is not wanted. Adding code to select the behaviour of LineLB::Fill...
Comment 6 SVN Robot 2013-04-17 11:51:24 UTC
"alg" committed SVN revision 1468850 into trunk:
i122042 corrected adding default values in LineStyleListBox
Comment 7 SVN Robot 2013-04-17 11:51:39 UTC
"alg" committed SVN revision 1468851 into trunk:
i122042 corrected adding default values in LineStyleListBox
Comment 8 Armin Le Grand 2013-04-17 11:55:49 UTC
ALG: Okay, corrected, checked and comitted.